Package org.zkoss.zkmax.ui.util

## Class LoadingbarControl

- java.lang.Object
- - org.zkoss.zkmax.ui.util.LoadingbarControl

-     public class LoadingbarControl
      extends java.lang.Object

  Utilities to control Loadingbar from server side. Note: this class makes accessing 'client-side' more directly.
  Since:
    9.0.0
  Author:
    leon
  See Also:
    `Loadingbar`

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `LoadingbarControl​(java.lang.String id, java.lang.Integer animationSpeed)` | The constructor of LoadingbarControl.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `finish()` | Finish the Loadingbar.
    `java.lang.String` | `getId()` | Get the Loadingbar id.
    `void` | `start()` | Display a Loadingbar(value is 0) on the top of browser window.
    `void` | `start​(int value)` | Display a Loadingbar on the top of browser window.
    `void` | `start​(int value, java.lang.String position)` | Display a Loadingbar.
    `void` | `start​(int value, java.lang.String position, boolean indeterminate)` | Display a Loadingbar.
    `void` | `update​(boolean indeterminate)` | Set indeterminate to the Loadingbar.
    `void` | `update​(int value)` | Set the value to the Loadingbar.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoadingbarControl

          protected LoadingbarControl​(java.lang.String id,
                                      java.lang.Integer animationSpeed)

      The constructor of LoadingbarControl.
      Parameters:
        `id` - the Loadingbar id.

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Get the Loadingbar id.

    - #### start

          public void start()

      Display a Loadingbar(value is 0) on the top of browser window. see `start(int)`

    - #### start

          public void start​(int value)

      Display a Loadingbar on the top of browser window.
      Parameters:
        `value` - the current value of the Loadingbar.

        Range: 0~100, default 0. see `start(int, String)`

    - #### start

          public void start​(int value,
                            java.lang.String position)

      Display a Loadingbar.
      Parameters:
        `value` - the current value of the Loadingbar.

        Range: 0~100, default 0.

        `position` - predefined positions. Available options are "top", "bottom" default "top". see `start(int, String, boolean)`

    - #### start

          public void start​(int value,
                            java.lang.String position,
                            boolean indeterminate)

      Display a Loadingbar.
      Parameters:
        `value` - the current value of the Loadingbar.

        Range: 0~100, default 0.

        `position` - predefined positions. Available options are "top", "bottom" default "top".
        `indeterminate` - whether to start the indeterminate animation or not, default false.

    - #### update

          public void update​(int value)

      Set the value to the Loadingbar. Once the value is set to 100, the Loadingbar will be detached after the animation.
      Parameters:
        `value` - the current value of the Loadingbar.

        Range: 0~100, default 0.

    - #### update

          public void update​(boolean indeterminate)

      Set indeterminate to the Loadingbar.
      Parameters:
        `indeterminate` - whether to start the indeterminate animation or not, default false.

    - #### finish

          public void finish()

      Finish the Loadingbar. The Loadingbar will be detached after the animation.